Uploaded image for project: 'CUBRID APIs'
  1. CUBRID APIs
  2. APIS-681

[Ruby][Manual] Oid Class should be removed from the manual since it isn't supported

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: Ruby 8.4.4.0002
    • Fix Version/s: Ruby 8.4.4.0002
    • Component/s: Ruby Driver
    • Labels:
    • Environment:
      • OS: Linux 64
      • CUBRID: 8.4.4.0227
      • Ruby: 1.8.7, 1.9.3
      • Driver: cubrid-ruby 8.4.4.0002 (20130917)

      Description

      Since the Oid Class is not supported by Ruby driver anymore, we should remove it from the manual http://www.cubrid.org/wiki_apis/entry/cubrid-ruby-api-documentation#fetch

      Also, con.glo_new() and stmt.get_oid() should be removed since they are not available

      con.glo_new() http://www.cubrid.org/wiki_apis/entry/cubrid-ruby-api-documentation#glo_new

      stmt.get_oid() http://www.cubrid.org/wiki_apis/entry/cubrid-ruby-api-documentation#get_oid

        Activity

        Hide
        cn15800 谢韦华[Bert] added a comment -

        fixed

        Show
        cn15800 谢韦华[Bert] added a comment - fixed
        Hide
        ryin005 Ray Yin added a comment -

        The manual http://www.cubrid.org/wiki_apis/entry/cubrid-ruby-api-documentation has been modified

        Close the issue

        Show
        ryin005 Ray Yin added a comment - The manual http://www.cubrid.org/wiki_apis/entry/cubrid-ruby-api-documentation has been modified Close the issue

          People

          • Assignee:
            cn15800 谢韦华[Bert]
            Reporter:
            ryin005 Ray Yin
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: